Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162563 - Policy disallows writing to samba secrets.tdb
Summary: Policy disallows writing to samba secrets.tdb
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-06 11:21 UTC by Jeroen Benckhuijsen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 05:39:31 UTC


Attachments (Terms of Use)

Description Jeroen Benckhuijsen 2005-07-06 11:21:12 UTC
Description of problem:
The enforcing policy of selinux disallows writing to the file
/etc/samba/secrets.tdb, thus resulting in a crash of the SMBD deamon

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.23.18-17

How reproducible:
Always

Steps to Reproduce:
1. Set policy to enforce
2. Start samba
  
Actual results:
Samba crashes with errors in /var/log/samba/samba.log.smbd noting it can't write
to secrets.tdb. "setenforce 0" solves this problem

Expected results:
Samba should run fine and have write access to secrets.tdb

Comment 1 Daniel Walsh 2005-07-06 14:09:09 UTC
restorecon -R -v /etc/samba 

should fix the problem.

Dan


Note You need to log in before you can comment on or make changes to this bug.